### Method

# GLib Date clear

#### Declaration [src]

    void
    g_date_clear (
      GDate* date,
      guint n_dates
    )

#### Description [src]

Initializes one or more `GDate` structs to a safe but invalid state. The cleared dates will not represent an existing date, but will not contain garbage. Useful to init a date declared on the stack. Validity can be tested with g_date_valid().

#### Parameters

`n_dates`

  Type: `guint`

  Number of dates to clear.